Debian Bug report logs - #589052
libfile-find-rule-perl-perl: avoid indirect build-dep on itself

version graph

Package: libfile-find-rule-perl-perl; Maintainer for libfile-find-rule-perl-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libfile-find-rule-perl-perl is src:libfile-find-rule-perl-perl.

Reported by: Mounaam <mounaam@gmail.com>

Date: Wed, 14 Jul 2010 15:15:01 UTC

Severity: normal

Found in version 1.09

Fixed in version libfile-find-rule-perl-perl/1.09-2

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589052; Package libfile-find-rule-perl-perl. (Wed, 14 Jul 2010 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mounaam <mounaam@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 14 Jul 2010 15:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mounaam <mounaam@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: cross-dep with libtest-minimumversion-perl and libperl-minimumversion-perl
Date: Wed, 14 Jul 2010 19:14:59 +0200
Package: libfile-find-rule-perl-perl
Version: 1.09
Severity: serious
Justification: no longer builds from source

Hi,

can't backport from (testing) source following packages because of cross-dependencies:
- libtest-minimumversion-perl 0.101080 needs:
  libperl-minimumversion-perl (>= 1.20)
  libfile-find-rule-perl-perl

- libperl-minimumversion-perl 1.25 needs:
  libtest-minimumversion-perl (>= 0.101080)
  libfile-find-rule-perl-perl (>= 1.04)

- libfile-find-rule-perl-perl 1.09 needs:
  libperl-minimumversion-perl (>= 1.20)
  libtest-minimumversion-perl (>= 0.008)

Created #589051 for libperl-minimumversion-perl.

Regards,
Mounaam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589052; Package libfile-find-rule-perl-perl. (Wed, 14 Jul 2010 16:06:03 GMT) Full text and rfc822 format available.

Message #8 received at 589052@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: Mounaam <mounaam@gmail.com>
Cc: 589052@bugs.debian.org
Subject: Re: Bug#589052: FTBFS: cross-dep with libtest-minimumversion-perl and libperl-minimumversion-perl
Date: Thu, 15 Jul 2010 01:03:34 +0900
forcemerge 589052 589051
severity 589052 normal
retitle 589052 libfile-find-rule-perl-perl: avoid indirect build-dep on itself
thanks

Mounaam <mounaam@gmail.com> writes:

> Severity: serious
> Justification: no longer builds from source

The package from unstable builds fine in unstable. It is not a
release-critical bug if a package from unstable fails to build in
stable.

> can't backport from (testing) source following packages because of cross-dependencies:
> - libtest-minimumversion-perl 0.101080 needs:
>   libperl-minimumversion-perl (>= 1.20)
>   libfile-find-rule-perl-perl
>
> - libperl-minimumversion-perl 1.25 needs:
>   libtest-minimumversion-perl (>= 0.101080)
>   libfile-find-rule-perl-perl (>= 1.04)
>
> - libfile-find-rule-perl-perl 1.09 needs:
>   libperl-minimumversion-perl (>= 1.20)
>   libtest-minimumversion-perl (>= 0.008)

It should work just fine if you remove the build-dep on 
libtest-minimumversion-perl, libperl-minimumversion-perl in
libfile-find-rule-perl-perl.

I still agree that we should avoid (indirect) build-deps on itself.
In this case we can just stop running the author tests (or at least
t/99_pmv.t).

Regards,
Ansgar




Severity set to 'normal' from 'serious' Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 14 Jul 2010 16:06:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'libfile-find-rule-perl-perl: avoid indirect build-dep on itself' from 'FTBFS: cross-dep with libtest-minimumversion-perl and libperl-minimumversion-perl' Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 14 Jul 2010 16:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589052; Package libfile-find-rule-perl-perl. (Wed, 14 Jul 2010 16:45:08 GMT) Full text and rfc822 format available.

Message #15 received at 589052@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 589052@bugs.debian.org, 589052-submitter@bugs.debian.org
Subject: Bug in libfile-find-rule-perl-perl fixed in revision 60297
Date: Wed, 14 Jul 2010 16:42:00 +0000
tag 589052 + pending
thanks

Some bugs are closed in revision 60297
by Ansgar Burchardt (ansgar-guest)

Commit message:

* No longer run author tests. Remove build-dep on
  libperl-minimumversion-perl, libtest-pod-perl,
  libtest-cpan-meta-perl, libpod-simple-perl, libtest-minimumversion-perl.
  (Closes: #589052)
* Make build-dep on perl unversioned: stable already has perl 5.10.
* Use source format 3.0 (quilt).
* Ignore .pc directory used by quilt during tests.
  + new patch: ignore-quilt.patch
* Bump Standards-Version to 3.9.0 (no changes).
* Add myself to Uploaders.




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 14 Jul 2010 16:45:12 GMT) Full text and rfc822 format available.

Message sent on to Mounaam <mounaam@gmail.com>:
Bug#589052. (Wed, 14 Jul 2010 16:45:14 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Wed, 14 Jul 2010 17:51:07 GMT) Full text and rfc822 format available.

Notification sent to Mounaam <mounaam@gmail.com>:
Bug acknowledged by developer. (Wed, 14 Jul 2010 17:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 589052-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 589052-close@bugs.debian.org
Subject: Bug#589052: fixed in libfile-find-rule-perl-perl 1.09-2
Date: Wed, 14 Jul 2010 17:47:06 +0000
Source: libfile-find-rule-perl-perl
Source-Version: 1.09-2

We believe that the bug you reported is fixed in the latest version of
libfile-find-rule-perl-perl, which is due to be installed in the Debian FTP archive:

libfile-find-rule-perl-perl_1.09-2.debian.tar.gz
  to main/libf/libfile-find-rule-perl-perl/libfile-find-rule-perl-perl_1.09-2.debian.tar.gz
libfile-find-rule-perl-perl_1.09-2.dsc
  to main/libf/libfile-find-rule-perl-perl/libfile-find-rule-perl-perl_1.09-2.dsc
libfile-find-rule-perl-perl_1.09-2_all.deb
  to main/libf/libfile-find-rule-perl-perl/libfile-find-rule-perl-perl_1.09-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589052@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated libfile-find-rule-perl-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 15 Jul 2010 01:39:53 +0900
Source: libfile-find-rule-perl-perl
Binary: libfile-find-rule-perl-perl
Architecture: source all
Version: 1.09-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 libfile-find-rule-perl-perl - Perl module for searching Perl things
Closes: 589052
Changes: 
 libfile-find-rule-perl-perl (1.09-2) unstable; urgency=low
 .
   [ Ansgar Burchardt ]
   * No longer run author tests. Remove build-dep on
     libperl-minimumversion-perl, libtest-pod-perl,
     libtest-cpan-meta-perl, libpod-simple-perl, libtest-minimumversion-perl.
     (Closes: #589052)
   * Lower build-dep on debhelper to 7 as we do not use overrides any more.
   * Make build-dep on perl unversioned: stable already has perl 5.10.
   * Use source format 3.0 (quilt).
   * Ignore .pc directory used by quilt during tests.
     + new patch: ignore-quilt.patch
   * Bump Standards-Version to 3.9.0 (no changes).
   * Add myself to Uploaders.
 .
   [ gregor herrmann ]
   * debian/copyright: update formatting (DEP5).
Checksums-Sha1: 
 63fed868358cd63a9e6021c47c00cd2b1692faf6 2333 libfile-find-rule-perl-perl_1.09-2.dsc
 f45436653475ca49ac4c1caf0100af9dc7e9dc9d 3199 libfile-find-rule-perl-perl_1.09-2.debian.tar.gz
 ad4dab4d54760d3eb07ec18ec7f35a888a44b3ec 10346 libfile-find-rule-perl-perl_1.09-2_all.deb
Checksums-Sha256: 
 84621b29c3ca03bd43447d6ded16ed75e754724598e68840d36ed11e792cddef 2333 libfile-find-rule-perl-perl_1.09-2.dsc
 48152a92a45cea9c805f35c5b47e5a6a9b5fab458b75de535688b1ac533c3bee 3199 libfile-find-rule-perl-perl_1.09-2.debian.tar.gz
 931cad9e79a89baaeedd0c71b64437dcdca7aef53059f503daeadd098d817dbe 10346 libfile-find-rule-perl-perl_1.09-2_all.deb
Files: 
 84eef0c9bb708cf168005af4746b1a97 2333 perl optional libfile-find-rule-perl-perl_1.09-2.dsc
 330fb9636075b97e80e40f46516c1f85 3199 perl optional libfile-find-rule-perl-perl_1.09-2.debian.tar.gz
 8d803ec63e5d68fb30b3818571e9b1df 10346 perl optional libfile-find-rule-perl-perl_1.09-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMPfThAAoJELs6aAGGSaoG7yUP/2U7AIafpvuw3zPrsSVpFczT
1rWzB3s/He85uuxOZI/Wi3ZgJKcAtUT0sQnF36nt/5Bjdm8HL97NW0hbMZxnzFHt
5AcsqGoZhLCAQQumSq6xlUgPKm0tUpNlko8Z/l3lZEqkR47Z5+Jvvt/A51gw1e5r
aOQBzt+m0ls2ikcspV9odpBivRwwZuajbekHDsY/Kg+iBVjVfkOsHc08REkdRvid
pILGBk50LBwoa4CpD1aGrxZLqVq8vfuor3BdHBIuGfkgFKebh3dTqaU6Mx2HsHnI
LrqZXhsVxXFtJ7sF5kOMPpdBJvZMW6TeszIDS+ZCr+WgDk8rDnw5Pe0ncwF+Sfu4
f0v3pXb0mhIyFOriQIv9iGnvOiB9JU3PpSY7lFRE9WPhROjCwuQVTX08fUhmySj0
/G3GUyPM9TM0+bXFTwx/4c17BTpHWFL3/QshW3klxhFmSalS0EG2RF1KxrEmdsKm
jjGFffRdYlPkPWqjoE+qI1zQeX28l+chjSSEAjkY255sFLxkhe0aThsma3+YhRYB
twX/z0DRvBjIFoaGU1cxHzoPmLV1qi+O5wnnSxeoSHI3//2nW2aAjWjmVBEKil3s
AJl67Y0DcMZR3K4pTdDwuuTFd/MmUS8hiHl4OShUSScZPTcyIhpdTxaQyUouxqM7
rEcaoFhWLb1GPomMaxWu
=aFXj
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589052; Package libfile-find-rule-perl-perl. (Wed, 14 Jul 2010 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mounaam <mounaam@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 14 Jul 2010 17:54:05 GMT) Full text and rfc822 format available.

Message #30 received at 589052@bugs.debian.org (full text, mbox):

From: Mounaam <mounaam@gmail.com>
To: Ansgar Burchardt <ansgar@43-1.org>
Cc: 589052@bugs.debian.org
Subject: Re: Bug#589052: FTBFS: cross-dep with libtest-minimumversion-perl and libperl-minimumversion-perl
Date: Wed, 14 Jul 2010 19:50:47 +0200
Hi Ansgar,

many thanks for working quickly on my bug reports.

On 14/07/2010 18:03, Ansgar Burchardt wrote:
> The package from unstable builds fine in unstable.
How is it possible if none of an older version of these packages is
already installed?

> It is not a release-critical bug if a package from unstable fails to
> build in stable.
I agree with that. I just used novice mode of reportbug tool and
selected the more
appropriate option without consideration about the used repository.
Sorry for that.

> It should work just fine if you remove the build-dep on 
> libtest-minimumversion-perl, libperl-minimumversion-perl in
> libfile-find-rule-perl-perl.
Build from source and installation of libfile-find-rule-perl-perl
package works.
Many thanks for that.

> I still agree that we should avoid (indirect) build-deps on itself.
For libperl-minimumversion-perl it isn't enough.
I think I found others (indirect) build-deps on itself:

libperl-minimumversion-perl
  needs libppi-perl (>= 1.205)
libppi-perl
  needs libtest-subcalls-perl
libtest-subcalls-perl
  needs libtest-minimumversion-perl
libtest-minimumversion-perl
  needs libperl-minimumversion-perl

libperl-minimumversion-perl
  needs libtest-script-perl (>= 1.03)
libtest-script-perl
  needs libperl-minimumversion-perl
  and libtest-minimumversion-perl

Best regards,
Mounaam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#589052; Package libfile-find-rule-perl-perl. (Thu, 15 Jul 2010 14:27:05 GMT) Full text and rfc822 format available.

Message #33 received at 589052@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: Mounaam <mounaam@gmail.com>
Cc: 589052@bugs.debian.org
Subject: Re: Bug#589052: FTBFS: cross-dep with libtest-minimumversion-perl and libperl-minimumversion-perl
Date: Thu, 15 Jul 2010 23:26:05 +0900
Hi,

Mounaam <mounaam@gmail.com> writes:

> On 14/07/2010 18:03, Ansgar Burchardt wrote:
>> The package from unstable builds fine in unstable.
> How is it possible if none of an older version of these packages is
> already installed?

The older version is in unstable.  Just how you need a C compiler to
build a C compiler.

But of course this situation should be avoided if possible, so thanks
for you report.

>> It is not a release-critical bug if a package from unstable fails to
>> build in stable.
> I agree with that. I just used novice mode of reportbug tool and
> selected the more appropriate option without consideration about the
> used repository. Sorry for that.

No problem.  I just wanted to give a reason why I lowered the severity
of the report.

>> I still agree that we should avoid (indirect) build-deps on itself.
> For libperl-minimumversion-perl it isn't enough.
> I think I found others (indirect) build-deps on itself:

> libtest-subcalls-perl
>   needs libtest-minimumversion-perl

Used for author tests that we do not need to run.  The build-dep will be
removed in 1.09-2.

> libtest-script-perl
>   needs libperl-minimumversion-perl
>   and libtest-minimumversion-perl

Also for author tests.  Will be removed in 1.07-2.

There should still be some more cyclic build deps:

  Looking for cyclic build-dependencies for libtest-minimumversion-perl.
  [done] libtest-minimumversion-perl > libperl-minimumversion-perl > libtest-script-perl: cyclic dependency on libtest-minimumversion-perl found.
  libtest-minimumversion-perl > libfile-find-rule-perl > libtest-differences-perl > libtext-diff-perl: cyclic dependency on libtest-minimumversion-perl found.
  libtest-minimumversion-perl > libperl-minimumversion-perl > libppi-perl > libfile-remove-perl: cyclic dependency on libtest-minimumversion-perl found.
  [done] libtest-minimumversion-perl > libperl-minimumversion-perl > libppi-perl > libtest-subcalls-perl: cyclic dependency on libtest-minimumversion-perl found.
  libtest-minimumversion-perl > libperl-minimumversion-perl > libppi-perl > libclass-inspector-perl: cyclic dependency on libtest-minimumversion-perl found.
  libtest-minimumversion-perl > libperl-minimumversion-perl > libperl-critic-perl > libfile-which-perl: cyclic dependency on libtest-minimumversion-perl found.
  libtest-minimumversion-perl > libperl-minimumversion-perl > libtest-script-perl > libprobe-perl-perl > libmodule-build-perl > libarchive-zip-perl: cyclic dependency on libtest-minimumversion-perl found.

I guess it would be nice to get rid of all of them, but I am too lazy to
do so right now.

Regards,
Ansgar




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 07:35:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:41:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.